import React from "react";
import { PayPalScriptProvider, PayPalButtons, FUNDING } from "@paypal/react-paypal-js";

const initialOptions = {
  "client-id": "AQBhJiIcG8lS4K5UoTo_-G5it85lbFpxEcA-WWBb1A-_Nq6YfKUdn05oyg-SgpxzXTyjfpdMceWskq7G",
  currency: "USD",
  intent: "capture"
}
// buyer account: dev01.oemautomation.com, pwd: 3Deerhead
// merchant account: biz01.oemautomation.com, pwd 3Deerhead

const PayPal = () => {

  const createOrder = (data, actions) => {
    return actions.order.create({
      purchase_units: [{
        description: "Fatek B1-14MR2 PLC",
        amount: {
          currency_code: "USD",
          value: 89.99,
        }
      }]
    });
  }
  
  const onApprove = (data, actions) => {
    return actions.order.capture().then(function(details) {
      console.dir(details);
      alert('Transaction completed by ' + details.payer.name.given_name);
    });
  }

  return (
    <>
      <div className="container">
        <PayPalScriptProvider options={initialOptions}>
          <div style={{ maxWidth: "80px" }}>
            <PayPalButtons
              fundingSource={FUNDING.PAYPAL}
              style={{ height: 25 }}
              createOrder={createOrder}
              onApprove={onApprove}
            />
          </div>
        </PayPalScriptProvider>
      </div>
    </>
  );
};

export default PayPal;
